Get Campaign Statistics
Get statistics for email campaigns, workflows, or bulk actions
GET
/
emails
/
stats
/
location
/
{locationId}
/
{source}
/
{sourceId}
Get Campaign Statistics
curl --request GET \
--url https://services.leadconnectorhq.com/emails/stats/location/{locationId}/{source}/{sourceId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/emails/stats/location/{locationId}/{source}/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/emails/stats/location/{locationId}/{source}/{sourceId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"locationId": "abc123",
"source": "email-campaigns",
"sourceId": "campaign123",
"stats": {
"delivered": 1000,
"opened": 450,
"clicked": 120,
"unsubscribed": 5,
"complained": 2,
"permanentFail": 15,
"temporaryFail": 3,
"rejected": 10,
"failed": 5,
"replied": 25
},
"subSourceId": "step001"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Query Parameters
Response
Success
Last modified on March 8, 2026
Was this page helpful?
Get Campaign Statistics
curl --request GET \
--url https://services.leadconnectorhq.com/emails/stats/location/{locationId}/{source}/{sourceId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/emails/stats/location/{locationId}/{source}/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/emails/stats/location/{locationId}/{source}/{sourceId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"locationId": "abc123",
"source": "email-campaigns",
"sourceId": "campaign123",
"stats": {
"delivered": 1000,
"opened": 450,
"clicked": 120,
"unsubscribed": 5,
"complained": 2,
"permanentFail": 15,
"temporaryFail": 3,
"rejected": 10,
"failed": 5,
"replied": 25
},
"subSourceId": "step001"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}